Foreman - Bug #11825

Adding template types from plugins doesn't work with taxonomies
09/15/2015 09:18 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Plugin integration
Target version: 1.17.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4890
Description

We hit an issue in foreman_remote_execution, when trying to add has_many
association to taxonomies, after the after_create defined, due to the behavior
described in rails/rails#12180 (comment).

Switching from after_create to before_create (and using "#{association}="instead of "<<’, just for sure)

fixed the issue for us

Related issues:
Blocks Foreman Remote Execution - Bug #11805: error creating organization in ... Closed

Blocks Foreman Remote Execution - Bug #21168: Can't create a location Closed

09/14/2015
10/02/2017

Associated revisions

Revision 5ae47829 - 10/24/2017 10:11 AM - Ilvan Necas

Fixes #11825 - use before_create for template associations

We hit an issue in foreman_remote_execution, when trying to add
has_many association to taxonomies, after the after_create defined,
due to the behavior described in
https://github.com/rails/rails/issues/12180#issuecomment-29543330

History

#1 - 09/15/2015 09:19 AM - Ivan Necas

- Blocks Bug #11805: error creating organization in assign_default_templates added

#2 - 09/15/2015 09:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2723 added
- Pull request deleted ()

#3 - 11/08/2016 10:15 AM - Dominic Cleal
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/2723)

PR was closed due to inactivity, but | think from the description it's still valid.

#4 - 10/04/2017 09:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to lvan Necas

- Pull request https://github.com/theforeman/foreman/pull/4890 added
https://github.com/rails/rails/issues/12180#issuecomment-29543330

#5 - 10/04/2017 10:04 AM - Ivan Necas
- Blocks Bug #21168: Can't create a location added

#6 - 10/24/2017 11:02 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5ae478291ff1726b8743d72daeec728ad9d45acb.

#7 - 10/24/2017 02:17 PM - Daniel Lobato Garcia

- translation missing: en.field_release set to 296
